function [np,gam,b0,b1,ni] = semitr(file,t)

% Trace les semi-variogrammes de CALSEMIV.m

  figure ('PaperPosition',[2.0 1.0 4 9.0])

% pour l'abondance de femelles

  [np,gam,b0,b1,ni] = calsemiv ([file(:,1) file(:,5)]);
  figure
  fitvario (2,gam,50)
  close
  load fit
  xx = (0:5:max(np(:,1)));
  yy = variogr(2,xx,a,c,b);

  subplot (3,1,1)
  plot(gam(:,1),gam(:,2),'oc',xx,yy,'-r'), hold on
  for i = 1:length(gam)
    [k2,k1] = confint (0.95,np(i,2),gam(i,2));
    plot(ones(1,2)*np(i,1),[k1,k2],'-g')
  end
  ylabel ('Abondance de femelles')
  title(t)
  ax = axis;
  if ni == 1 
   text (ax(2)+10,(ax(3)+ax(4))/2,['y''=log10 (' num2str(b0) '+' num2str(b1) '*y)'])  
  else
   text (ax(2)+10,(ax(3)+ax(4))/2,['y''=y'])  
  end

% pour l'index de reproduction

  j = find(file(:,6) <= 1);
  [np,gam,b0,b1,ni] = calsemiv ([file(j,1) file(j,6)]);
  figure
  fitvario (2,gam,50)
  close
  load fit
  xx = (0:5:max(np(:,1)));
  yy = variogr(2,xx,a,c,b);

  subplot (3,1,2)
  plot(gam(:,1),gam(:,2),'oc',xx,yy,'-r'), hold on
  for i = 1:length(gam)
    [k2,k1] = confint (0.95,np(i,2),gam(i,2));
    plot(ones(1,2)*np(i,1),[k1,k2],'-g')
  end
  ylabel ('Indice de reproduction')
  ax = axis;
  if ni == 1 
   text (ax(2)+10,(ax(3)+ax(4))/2,['y''=log10 (' num2str(b0) '+' num2str(b1) '*y)'])  
  else
   text (ax(2)+10,(ax(3)+ax(4))/2,['y''=y'])  
  end

% pour l'abondance de d'oeufs

  [np,gam,b0,b1,ni] = calsemiv ([file(:,1) file(:,7)]);
  figure
  fitvario (2,gam(1:length(gam)-1,:),50)
  close
  load fit
  xx = (0:5:max(np(:,1)));
  yy = variogr(2,xx,a,c,b);

  subplot (3,1,3)
  plot(gam(:,1),gam(:,2),'oc',xx,yy,'-r'), hold on
  for i = 1:length(gam)
    [k2,k1] = confint (0.95,np(i,2),gam(i,2));
    plot(ones(1,2)*np(i,1),[k1,k2],'-g')
  end
  ylabel ('Abondance de d''oeufs')
  xlabel ('Distance (km)')
  ax = axis;
  if ni == 1 
   text (ax(2)+10,(ax(3)+ax(4))/2,['y''=log10 (' num2str(b0) '+' num2str(b1) '*y)'])  
  else
   text (ax(2)+10,(ax(3)+ax(4))/2,['y''=y'])  
  end